AUTO_RESUME: false
CUDNN:
  BENCHMARK: true
  DETERMINISTIC: false
  ENABLED: true
DATA_DIR: ''
GPUS: (0,)
OUTPUT_DIR: 'output'
LOG_DIR: 'log'
WORKERS: 24
PRINT_FREQ: 50

DATASET:
  COLOR_RGB: false
  DATASET: hdf5mousepose
  DATA_FORMAT: hdf5
  FLIP: true
  NUM_JOINTS_HALF_BODY: 6
  PROB_HALF_BODY: -1.0
  ROOT: 'data/hdf5mouse/merged_pose_annos_2019-06-26.h5'
  SCALE_FACTOR: 0.3
  TEST_SET: validation
  TRAIN_SET: training
  PROB_RANDOMIZED_OCCLUSION: 0.75
  MAX_OCCLUSION_SIZE: 150
  OCCLUSION_OPACITIES: (0.5, 0.75, 1.0)
  PROB_RANDOMIZED_CENTER: 0.1
  JITTER_CENTER: 0.1
  JITTER_BRIGHTNESS: 0.5
  JITTER_CONTRAST: 0.5
  JITTER_SATURATION: 0.5
MODEL:
  INIT_WEIGHTS: true
  NAME: pose_hrnet
  NUM_JOINTS: 12
  PRETRAINED: 'models/pytorch/imagenet/hrnet_w32-36af842e.pth'
  TARGET_TYPE: gaussian
  IMAGE_SIZE:
  - 256
  - 256
  # HEATMAP_SIZE:
  # - 64
  # - 64
  # SIGMA: 2
  HEATMAP_SIZE:
  - 256
  - 256
  SIGMA: 8
  EXTRA:
    HEAD_ARCH: 'CONV_TRANS_UPSCALE_5x5'
    PRETRAINED_LAYERS:
    - 'conv1'
    - 'bn1'
    - 'conv2'
    - 'bn2'
    - 'layer1'
    - 'transition1'
    - 'stage2'
    - 'transition2'
    - 'stage3'
    - 'transition3'
    - 'stage4'
    FROZEN_LAYERS:
    - 'conv1'
    - 'bn1'
    - 'conv2'
    - 'bn2'
    - 'layer1'
    - 'transition1'
    - 'stage2'
    FINAL_CONV_KERNEL: 1
    STAGE2:
      NUM_MODULES: 1
      NUM_BRANCHES: 2
      BLOCK: BASIC
      NUM_BLOCKS:
      - 4
      - 4
      NUM_CHANNELS:
      - 32
      - 64
      FUSE_METHOD: SUM
    STAGE3:
      NUM_MODULES: 4
      NUM_BRANCHES: 3
      BLOCK: BASIC
      NUM_BLOCKS:
      - 4
      - 4
      - 4
      NUM_CHANNELS:
      - 32
      - 64
      - 128
      FUSE_METHOD: SUM
    STAGE4:
      NUM_MODULES: 3
      NUM_BRANCHES: 4
      BLOCK: BASIC
      NUM_BLOCKS:
      - 4
      - 4
      - 4
      - 4
      NUM_CHANNELS:
      - 32
      - 64
      - 128
      - 256
      FUSE_METHOD: SUM
LOSS:
  USE_TARGET_WEIGHT: true
TRAIN:
  BATCH_SIZE_PER_GPU: 32
  SHUFFLE: true
  BEGIN_EPOCH: 0
  END_EPOCH: 600
  OPTIMIZER: adam
  LR: 0.0005
  LR_FACTOR: 0.1
  LR_STEP:
  - 400
  - 500
  WD: 0.0001
  GAMMA1: 0.99
  GAMMA2: 0.0
  MOMENTUM: 0.9
  NESTEROV: false
TEST:
  BATCH_SIZE_PER_GPU: 32
  MODEL_FILE: ''
  FLIP_TEST: true
  POST_PROCESS: true
  SHIFT_HEATMAP: true
DEBUG:
  DEBUG: true
  SAVE_BATCH_IMAGES_GT: true
  SAVE_BATCH_IMAGES_PRED: true
  SAVE_HEATMAPS_GT: true
  SAVE_HEATMAPS_PRED: true
